## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

GET
/
v1
/api-tokens
/current

Get Current API Token

### cURL

```bash
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/api-tokens/current \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/api-tokens/current"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/api-tokens/current', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/api-tokens/current",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/api-tokens/current"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.get("https://{tenant}.mindbridge.ai/api/v1/api-tokens/current")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/api-tokens/current")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response

200

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "userId": "<string>",
  "name": "<string>",
  "partialToken": "<string>",
  "expiry": "2023-11-07T05:31:56Z",
  "allowedAddresses": [
    "<string>"
  ],
  "permissions": []
}
```

### Authorizations

**Authorization**
- **Type**: `string`
- **Location**: `header`
- **Requirement**: Required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Response Fields

- **id**: The unique object identifier.
- **version**: Indicates the data integrity version to ensure data consistency.
- **creationDate**: The date that the object was originally created.
- **lastModifiedDate**: The date that the object was last updated or modified.
- **createdUserInfo**: Details about the user who created the object.
- **lastModifiedUserInfo**: Details about the user who last modified or updated the object.
- **userId**: Identifies the API Token User associated with this token.
- **name**: The token record's name.
- **partialToken**: A partial representation of the API token.
- **expiry**: The day on which the API token expires.
- **allowedAddresses**: Indicates the set of addresses that are allowed to use this token.
- **permissions**: The set of permissions that inform which endpoints this token is authorized to access.
